> ## Documentation Index
> Fetch the complete documentation index at: https://docs.silnahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Patient Diagnosis



## OpenAPI

````yaml get /public/v1/patient-diagnoses/{patient_diagnosis_id}
openapi: 3.0.2
info:
  title: Silna Public API
  version: '1.0'
servers:
  - url: https://app.silnahealth.com/api
security:
  - bearerAuth: []
paths:
  /public/v1/patient-diagnoses/{patient_diagnosis_id}:
    get:
      tags:
        - V1PatientDiagnosisResource
      summary: Get Patient Diagnosis
      operationId: V1PatientDiagnosisResource.get
      parameters:
        - in: path
          name: patient_diagnosis_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: |2-

                Patient Diagnosis Response Schema
                
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V1PatientDiagnosis'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthenticationError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObjectNotFoundError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '429':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
components:
  schemas:
    V1PatientDiagnosis:
      description: Patient Diagnosis Response Schema
      properties:
        id:
          format: uuid
          title: Id
          type: string
        patient_id:
          format: uuid
          title: Patient Id
          type: string
        diagnosis_code:
          $ref: '#/components/schemas/V1DiagnosisCode'
      required:
        - id
        - patient_id
        - diagnosis_code
      title: V1PatientDiagnosis
      type: object
      x-folder: public_api
    AuthenticationError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
        type:
          $ref: '#/components/schemas/PublicApiErrorType'
      x-folder: null
    ObjectNotFoundError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
      x-folder: null
    TooManyRequestsError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
      x-folder: null
    V1DiagnosisCode:
      description: Diagnosis Code Schema
      properties:
        code:
          description: An ICD_10 Diagnosis Code
          title: Code
          type: string
          example: F84.0
        standard:
          description: >-
            The standard that the diagnosis code is based on. We only support
            ICD_10
          title: Standard
          type: string
          example: ICD_10
        description:
          description: Silna's description for the ICD_10 diagnosis code
          title: Description
          type: string
      required:
        - code
        - standard
        - description
      title: V1DiagnosisCode
      type: object
      x-folder: public_api
    PublicApiErrorType:
      type: string
      enum:
        - AUTH_INVALID_REQUEST_HEADER
        - AUTH_INVALID_CREDENTIALS
      x-folder: null
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````